#!/bin/sh
set -x

FLOPPY=`dirname $0`
FLOPPY=`( cd $FLOPPY; pwd )`

if [ -f "$FLOPPY/modules.cgz" ] ;then
  rm -rf /tmp/load-driver
  mkdir -p /tmp/load-driver
  cd /tmp/load-driver
  cat $FLOPPY/modules.cgz | gunzip | cpio -ivH crc
  echo ",,,"; read a
  rev=`uname -r`
  echo ",,,"; read a
  /sbin/insmod scsi_mod
  echo ",,,"; read a
  /sbin/insmod $rev/si3124r5.ko
fi
